/*
 * Copyright 2005 Scalix, Inc. (www.scalix.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 * Authors: Christian Kellner <Christian.Kellner@scalix.com>
 */

#ifndef SCALIX_CAMEL_SESSION_H
#define SCALIX_CAMEL_SESSION_H

#include <camel/camel-session.h>

G_BEGIN_DECLS
#define SCALIX_CAMEL_SESSION_TYPE     (scalix_camel_session_get_type ())
#define SCALIX_CAMEL_SESSION(obj)     (CAMEL_CHECK_CAST((obj), SCALIX_CAMEL_SESSION_TYPE, ScalixCamelSession))
#define SCALIX_CAMEL_SESSION_CLASS(k) (CAMEL_CHECK_CLASS_CAST ((k), SCALIX_CAMEL_SESSION_TYPE, ScalixCamelSessionClass))
#define SCALIX_CAMEL_IS_SESSION(o)    (CAMEL_CHECK_TYPE((o), SCALIX_CAMEL_SESSION_TYPE))
typedef struct _ScalixCamelSession ScalixCamelSession;
typedef struct _ScalixCamelSessionClass ScalixCamelSessionClass;

struct _ScalixCamelSession {
    CamelSession parent_object;
};
struct _ScalixCamelSessionClass {
    CamelSessionClass parent_class;
};

CamelType scalix_camel_session_get_type (void);
CamelSession *scalix_camel_session_new (const char *path);
void scalix_camel_session_init (const char *path);
CamelSession *scalix_camel_session_get_default (void);
void scalix_camel_session_set_default (CamelSession * session);

G_END_DECLS
#endif /* SCALIX_CAMEL_SESSION_H */
